# Gamebase Authentication KakaoGame Adapter for Android

## Dependencies
```xml
<dependency>
  <groupId>com.toast.android.gamebase</groupId>
  <artifactId>gamebase-sdk</artifactId>
  <version>2.28.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlin</groupId>
  <artifactId>kotlin-stdlib-jdk8</artifactId>
  <version>1.5.21</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>org.jetbrains.kotlinx</groupId>
  <artifactId>kotlinx-coroutines-android</artifactId>
  <version>1.5.1</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.core</groupId>
  <artifactId>core</artifactId>
  <version>1.6.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.annotation</groupId>
  <artifactId>annotation</artifactId>
  <version>1.2.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.appcompat</groupId>
  <artifactId>appcompat</artifactId>
  <version>1.3.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.browser</groupId>
  <artifactId>browser</artifactId>
  <version>1.2.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.constraintlayout</groupId>
  <artifactId>constraintlayout</artifactId>
  <version>2.0.4</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>androidx.lifecycle</groupId>
  <artifactId>lifecycle-livedata</artifactId>
  <version>2.2.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>com.google.android.gms</groupId>
  <artifactId>play-services-basement</artifactId>
  <version>17.1.1</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>com.kakaogame</groupId>
  <artifactId>gamesdk</artifactId>
  <version>3.11.5</version>
  <scope>compile</scope>
  <exclusions>
    <exclusion>
      <artifactId>common</artifactId>
      <groupId>com.kakaogame</groupId>
    </exclusion>
  </exclusions>
</dependency>
<dependency>
  <groupId>com.kakaogame</groupId>
  <artifactId>common</artifactId>
  <version>3.11.5</version>
  <scope>compile</scope>
  <exclusions>
    <exclusion>
      <artifactId>play-services-ads</artifactId>
      <groupId>com.google.android.gms</groupId>
    </exclusion>
  </exclusions>
</dependency>
<dependency>
  <groupId>com.google.android.gms</groupId>
  <artifactId>play-services-ads-identifier</artifactId>
  <version>17.0.0</version>
  <scope>compile</scope>
</dependency>
<dependency>
  <groupId>com.kakaogame</groupId>
  <artifactId>idp_kakao</artifactId>
  <version>3.11.5</version>
  <scope>compile</scope>
</dependency>
```

## Release Note

| Date | KakaoGame Adapter Version | KakaoGame SDK Version | Description |
| ---- | ---------------------------- | --------------------- | ----------- |
| 2021.09.28 | 2.28.0 | 3.11.5 ~ | - Initial version |
| 2021.10.12 | 2.29.0 | 3.11.5 ~ | - Define Kakaogame proguard rule. |